Package Base Details: glfw-git

Git Clone URL: https://aur.archlinux.org/glfw-git.git (read-only)
Submitter: linkmauve
Maintainer: ricardomv (linkmauve)
Last Packager: linkmauve
Votes: 13
Popularity: 0.022218
First Submitted: 2015-07-10 23:14
Last Updated: 2018-12-20 20:31

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

ricardomv commented on 2015-07-19 16:49

@linkmauve Thanks for the improvements, i have now updated and renamed the package.

linkmauve commented on 2015-07-10 23:48

Hi,

I updated a few things in your PKGBUILD, mainly to provide a Wayland version alongside the X11 one, and to fix a few issues.

I also renamed it to glfw-git instead of glfw3-git, to be coherent with the package from community, it’d be nice if you could ask for a package rename before pulling my changes.

My repository is here, feel free to pull: http://git.linkmauve.fr/glfw-git.git

And thanks for maintaining this package. :)

ricardomv commented on 2014-11-22 18:07

@TheAifam5 the version is updated when you build the package and it currently is 3.0.4 not 3.1

TheAifam5 commented on 2014-11-22 13:39

@ricardomv
I flagged this package because you using MASTER tree, not specified version.
Change please branch name or change package version. Lastest version on git is not complete 3.1.
Check on website.

TheAifam5 commented on 2014-11-22 13:37

@ricardomv
I flagged this package because you using MASTER tree, not specified version.
Change please branch name or change package name.

ricardomv commented on 2014-11-21 00:11

@TheAifam5 are you saying the package is out of date or asking to change the version string to another format? The commit id is the number after the 'g' in the version here in parenthesis 3.0.4.r303.g(5bbb837).
@ekpyron i will do that

ekpyron commented on 2014-11-20 20:03

https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines

The only thing one might consider would be changing

git describe | sed "s/-/./g"

to

git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g'

yielding 3.0.4.r303.g5bbb837, which is archlinux standard (in contrast to date or last commit id).

TheAifam5 commented on 2014-11-20 19:10

change "3.0.4.303.g5bbb837" to date or last commit id.

axper commented on 2014-01-23 17:35

@costashatz
Fixed. Thanks!

costashatz commented on 2014-01-23 17:21

Needs "-DCMAKE_C_FLAGS = '-lpthread'" in cmake options in the PKGBUILD to compile examples..Cheers!